# Class GameOfLifeMain

java.lang.Object
GameOfLifeMain

public class GameOfLifeMain extends Object
Game of life class.

## Constructor Summary

Constructors
Constructor
Description
`GameOfLifeMain()`

## Method Summary

Modifier and Type
Method
Description
`static GameOfLife`
`importFromFile(File file)`
Import from file game of life.
`static void`
`main(String[] args)`
The entry point of application.
`static void`
`runIteration(GameOfLife gameOfLife)`
Run iteration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GameOfLifeMain

public GameOfLifeMain()

## Method Details

### main

public static void main(String[] args) throws IOException
The entry point of application.

Parameters:
  `args` - the input arguments
Throws:
  `IOException` - the io exception

### runIteration

public static void runIteration(GameOfLife gameOfLife)
Run iteration.

Parameters:
  `gameOfLife` - the game of life

### importFromFile

public static GameOfLife importFromFile(File file) throws FileNotFoundException
Import from file game of life.

Parameters:
  `file` - the file
Returns:
  the game of life
Throws:
  `FileNotFoundException` - the file not found exception